from django.conf.urls.defaults import *
from piston.resource import Resource
from piston.authentication import HttpBasicAuthentication
from api2.handlers import *

auth = HttpBasicAuthentication(realm="Freitagsrundenkassensystemapi")
ad = {'authentication': auth}

buyableItemRes     = Resource(handler=BuyableItemHandler,     **ad)
buyableTypeRes    = Resource(handler=BuyableTypeHandler,     **ad)

transactionTransactRes = Resource(handler=TransactionTransactHandler, **ad)
transactionTypeRes     = Resource(handler=TransactionTypeHandler, **ad)

authBlobRes = Resource(handler=AuthBlobHandler, **ad)

urlpatterns = patterns('',
	url(r'buyable/item/$', buyableItemRes),
	url(r'buyable/item/(?P<itemId>\d+)/$', buyableItemRes),
	url(r'buyable/types/$', buyableTypeRes),
	
	url(r'transaction/transact/', transactionTransactRes),
	url(r'transaction/types/', transactionTypeRes),
	
	url(r'auth/blob/', authBlobRes),
)

